# $Revision: 1.13 $, $Date: 2010/08/21 19:08:15 $
%include	/usr/lib/rpm/macros.php
%define		_class		Net
%define		_subclass	SMPP
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - SMPP v3.4 protocol implementation
Summary(pl.UTF-8):	%{_pearname} - implementacja protokołu SMPP v3.4
Name:		php-pear-%{_pearname}
Version:	0.4.5
Release:	2
License:	PHP 3.0
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	2ceb72287a4f6de3f8fab91f80a3ca34
URL:		http://pear.php.net/package/Net_SMPP/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.1.0
Requires:	php-pear
Requires:	php-pear-PEAR-core >= 1:1.3
Suggests:	php-pear-Net_Socket
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(Net/Socket.*)

%description
Net_SMPP is an implementation of the SMPP (Short Message Peer-to-Peer)
v3.4 protocol. SMPP is an open protocol used in the wireless industry
to send and recieve SMS messages.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Net_SMPP to implementacja protokołu SMPP (Short Message Peer-to-Peer)
w wersji 3.4. SMPP to otwarty protokół wykorzystywany w przemyśle
bezprzewodowym do wysyłania i odbierania wiadomości SMS.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_SMPP.spec,v $
Revision 1.13  2010/08/21 19:08:15  glen
- updated deps with pearize.sh
- release 2

Revision 1.12  2010/08/20 13:04:50  glen
- updated to: 0.4.5

Revision 1.11  2008/01/31 12:17:05  glen
- rel 4

Revision 1.10  2007-11-12 15:15:02  glen
- req just PEAR-core; rel 3

Revision 1.9  2007/08/28 13:59:49  glen
- rel 2

Revision 1.8  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.6  2006/09/04 17:21:35  adamg
- updated to 0.4.4

Revision 1.5  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.4  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.3  2005/11/03 20:57:27  glen
- pearize

Revision 1.2  2005/10/03 13:46:19  glen
- new pear packaging

Revision 1.1  2005/08/21 18:00:08  adamg
- new
